TYPOS3.Flow - Bug # 31134

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category: MVC
Created: 2011-10-20 Assigned To:

Updated: 2011-11-07 Due date:

PHP Version:

Has patch:

Complexity:

Affected Flow version: FLOW3 1.0.0

Subject: Functional tests of controllers don't reset arguments

Description

Using sendWebRequest to one controller with two different arguments arrays will not reset the array in the controller.

Not tested against current trunk but I'm quite sure it won't work there too.

Associated revisions

Revision a3201354 - 2011-11-04 13:03 - Christopher Hlubek
[BUGFIX] Reset argument list before initializing action arguments
This change fixes a problem with functional tests of controller
actions. It's also needed to reset the state of the controller when

multiple requests are dispatched.

It also refactors a unit test to use the actual arguments class instead

of a mock which is more expressive.
Change-Id: 1a7579436acf258b61f98c9b1e69ee78fe65b0chf

Fixes: #31134

Releases: 1.0, 1.1

Revision 4cafbe10 - 2011-11-07 22:13 - Christopher Hlubek
[BUGFIX] Reset argument list before initializing action arguments
This change fixes a problem with functional tests of controller
actions. It's also needed to reset the state of the controller when

multiple requests are dispatched.

It also refactors a unit test to use the actual arguments class instead

of a mock which is more expressive.
Change-Id: 1861e3d75e0dff43738cd4275ce142de797bb87d9

Fixes: #31134
Releases: 1.0, 1.1
#1 - 2011-10-20 12:40 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change 1a7579436acf258b61f98c9b1e69ee78fe65b0chbf has been pushed to the review server.
It is available at http://review.typo3.org/6119

#2 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 -2011-11-04 13:04 - Mr. Hudson

Patch set 2 of change 1a7579436acf258b61f98c9b1e69ee78fe65b0cbf has been pushed to the review server.
It is available at http://review.typo3.org/6119

#4 - 2011-11-07 15:07 - Christopher Hlubek
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:a320135465d586b2e4cd50c890709f4d2e7e64bf.
